## org.apache.portals.bridges.struts.config
Class StrutsPortletConfig

    java.lang.Object
      org.apache.portals.bridges.struts.config.StrutsPortletConfig

public class StrutsPortletConfig
extends Object

Field Summary
`private PortletURLTypes` `portletURLTypes`
`private RenderContextAttributes` `renderContextAttributes`

Constructor Summary
`StrutsPortletConfig()`

Method Summary
`PortletURLTypes` `getPortletURLTypes()`
`RenderContextAttributes` `getRenderContextAttributes()`
`void` `loadConfig(javax.portlet.PortletContext portletContext, String config)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### renderContextAttributes

    private RenderContextAttributes renderContextAttributes

### portletURLTypes

    private PortletURLTypes portletURLTypes

Constructor Detail

### StrutsPortletConfig

    public StrutsPortletConfig()

Method Detail

### loadConfig

    public void loadConfig(javax.portlet.PortletContext portletContext,
                           String config)
                    throws javax.portlet.PortletException

  Throws:
    `javax.portlet.PortletException`

### getRenderContextAttributes

    public RenderContextAttributes getRenderContextAttributes()

### getPortletURLTypes

    public PortletURLTypes getPortletURLTypes()

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.